嵌入式爱好者

查看: 567|回复: 8

[Android] Android编译后没有生成镜像文件

[复制链接]

3

主题

8

帖子

30

积分

i.MX6UL通行证i.MX6Q通行证

扫一扫,手机访问本帖
发表于 2017-6-16 16:07:18 | 显示全部楼层 |阅读模式
按照‘OKMX6X-S2-Android手册-V1.3-2016-11-10.pdf’上的说明编译Android,
在 out/target/product/sabresd_6dq/ 中,并没有生成文档中说明的  boot.img、recovery.img、system.img、u-boot-6q.bin

编译步骤:
1. source env.sh
2. source build/envsetup.sh
3. lunch sabresd_6dq-eng
4. make -j8 2>&1 | tee build.log

编译后生成的文件:
clean_steps.mk  obj  previous_build_config.mk  u-boot-6dl.bin  u-boot-6q.bin  u-boot.bin


附件是我的编译log,请帮忙看一下。

build.log.zip

25.5 KB, 下载次数: 7, 下载积分: 贡献 1

编译log

回复

使用道具 举报

0

主题

892

帖子

687

积分

i.MX6Q通行证i.MX6UL通行证TCU通行证335x通行证

发表于 2017-6-16 16:47:25 | 显示全部楼层
您的问题是否已经解决?

点评

没有解决,帮忙看看可以吗?  详情 回复 发表于 2017-6-22 07:39
技术支持电话:0312-3119192
技术支持邮箱:wince@forlinx.com
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

30

积分

i.MX6UL通行证i.MX6Q通行证

 楼主| 发表于 2017-6-22 07:39:14 | 显示全部楼层
飞凌-seventeen 发表于 2017-6-16 16:47
您的问题是否已经解决?

没有解决,帮忙看看可以吗?
点评回复 支持 反对

使用道具 举报

2

主题

3003

帖子

2440

积分

发表于 2017-6-22 09:45:35 | 显示全部楼层
cecho 发表于 2017-6-22 07:39
没有解决,帮忙看看可以吗?

您好:
    您的操作系统是多少位的,Ubuntu的版本以及位数请说明一下,
    此外,您最后一个命令改为make,不要输那个多线程编译的命令了

点评

你好,chongzi 按照你的方法重新试过了,依然编译失败。 附件是新的编译log。 我的系统配置: Ubuntu 64bit 16.04.1  详情 回复 发表于 2017-6-22 13:35
技术支持电话:0312-3119192
技术支持邮箱:Android@forlinx.com
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

30

积分

i.MX6UL通行证i.MX6Q通行证

 楼主| 发表于 2017-6-22 13:35:17 | 显示全部楼层
飞凌-chongzi 发表于 2017-6-22 09:45
您好:
    您的操作系统是多少位的,Ubuntu的版本以及位数请说明一下,
    此外,您最后一个命令改为 ...

你好,chongzi

按照你的方法重新试过了,依然编译失败。
附件是新的编译log。

我的系统配置:
Ubuntu 64bit 16.04.1

20170622_build.log.zip

5.27 KB, 下载次数: 1, 下载积分: 贡献 1

点评回复 支持 反对

使用道具 举报

2

主题

3003

帖子

2440

积分

发表于 2017-6-22 16:48:13 | 显示全部楼层
cecho 发表于 2017-6-22 13:35
你好,chongzi

按照你的方法重新试过了,依然编译失败。

您好:
    很多客户用高版本的Ubuntu都编译出问题了,一些依赖库不兼容,所以您需要换成和我们一致的Ubuntu,12.04版本。论坛上有现成的环境您可以下载使用,依赖库已经安装过了,您直接使用即可。链接如下:
http://bbs.witech.com.cn/forum.p ... &extra=page%3D1

点评

改了几个源文件,好了  详情 回复 发表于 2017-6-22 20:01
技术支持电话:0312-3119192
技术支持邮箱:Android@forlinx.com
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

30

积分

i.MX6UL通行证i.MX6Q通行证

 楼主| 发表于 2017-6-22 20:01:01 | 显示全部楼层
飞凌-chongzi 发表于 2017-6-22 16:48
您好:
    很多客户用高版本的Ubuntu都编译出问题了,一些依赖库不兼容,所以您需要换成和我们一致的Ub ...

改了几个源文件,好了

点评

你好,我也遇到了同样的问题,能说下你是怎么搞好的吗  详情 回复 发表于 2017-6-27 10:29
点评回复 支持 反对

使用道具 举报

1

主题

2

帖子

11

积分

i.MX6UL通行证i.MX6Q通行证

发表于 2017-6-27 10:29:46 | 显示全部楼层
cecho 发表于 2017-6-22 20:01
改了几个源文件,好了

你好,我也遇到了同样的问题,能说下你是怎么搞好的吗

点评

看一下编译出错的具体信息,少软件库就安装软件库。 还有就是perl版本不兼容,需要改一个perl源文件。 还记得有一个头文件也改了。 总之,按照编译器的输出去解析就可以解决了。  详情 回复 发表于 2017-7-17 09:49
点评回复 支持 反对

使用道具 举报

3

主题

8

帖子

30

积分

i.MX6UL通行证i.MX6Q通行证

 楼主| 发表于 2017-7-17 09:49:05 | 显示全部楼层
liuweili 发表于 2017-6-27 10:29
你好,我也遇到了同样的问题,能说下你是怎么搞好的吗

看一下编译出错的具体信息,少软件库就安装软件库。
还有就是perl版本不兼容,需要改一个perl源文件。
还记得有一个头文件也改了。

总之,按照编译器的输出去解析就可以解决了。
点评回复 支持 反对

使用道具 举报

*滑动验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|飞凌嵌入式 ( 冀ICP备12004394号-1

GMT+8, 2017-10-22 14:35

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表